Name:           feff
Version:        1.9.2
Release:        %mkrel 8
Source0:        http://qt-apps.org/CONTENT/content-files/140298-%{name}_source.tar.gz
Source1:        feff.png
Summary:        Qt front-end for FFmpeg
License:        GPLv3
Group:          Video/Utilities
Url:            http://qt-apps.org/content/show.php/Feff?content=140298
BuildRequires:  pkgconfig(QtCore)
BuildRequires:  imagemagick
Requires:       qt4-common
Requires:       ffmpeg

%description
Qt4 Front-end for FFmpeg

%prep
%setup -q -n feff_source

%build
%qmake_qt4
%make

%install
%__mkdir -p %{buildroot}%{_datadir}/%{name}
%__mkdir -p %{buildroot}%{_bindir}
%__install -D -m 755 Bin/%name \
    "%{buildroot}%{_bindir}/%name"

# Create menu entry
%__mkdir -p %{buildroot}%{_datadir}/applications/
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Feff
GenericName=FFmpeg front-end
Comment=FFmpeg front-end
Exec=feff
Icon=feff
Path=/usr/bin/feff
Terminal=false
Type=Application
StartupNotify=true
Categories=AudioVideo;Qt;X-Mageia-CrossDesktop;
EOF

# Add menu icon
%__mkdir -p %{buildroot}%{_iconsdir}
%__mkdir -p %{buildroot}%{_miconsdir}
%__mkdir -p %{buildroot}%{_liconsdir}
%__mkdir -p %{buildroot}%{_iconsdir}/hicolor/16x16/apps/
%__mkdir -p %{buildroot}%{_iconsdir}/hicolor/32x32/apps/
%__install -D -m644 %{SOURCE1} %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png
convert -geometry 32x32 %{SOURCE1} %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 16x16 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert -geometry 16x16 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png

# Add translation files
%__cp Bin/*.qm %{buildroot}%{_datadir}/%{name}/
(cd %{buildroot} && find . -name '*.q*') | sed -e 's|^.||' | sed -e \
    's:\(.*/feff/feff_\)\([a-z]\+\)\(.qm$\):%lang(\2) \1\2\3:' >> %{name}.lang

%files -f %{name}.lang
%doc Bin/HISTORY
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%dir %{_datadir}/%{name}


%changelog
* Tue Feb 02 2016 umeabot <umeabot> 1.9.2-8.mga6
+ Revision: 931091
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.9.2-7.mga5
+ Revision: 742919
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9.2-6.mga5
+ Revision: 679120
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 dglent <dglent> 1.9.2-5.mga5
+ Revision: 661333
- Validate desktop file
- Copy icon to hicolor folder in addition
- Find translations

* Sat Mar 22 2014 wally <wally> 1.9.2-4.mga5
+ Revision: 606524
- clean .desktop file
- rebuild for mga5

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + dglent <dglent>
    - Add lang tags
    - New version 1.9.2

* Mon Jan 21 2013 barjac <barjac> 1.9.1-3.mga3
+ Revision: 390609
- update group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 11 2012 obgr_seneca <obgr_seneca> 1.9.1-1.mga3
+ Revision: 269378
- cleaned spec file

  + dglent <dglent>
    - New version 1.9.1
    - Add a png icon
    - imported package feff

